Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.database
Class Database

    java.lang.Object
      org.neo4j.server.database.Database

    public class Database

extends Object

Field Summary
`AbstractGraphDatabase` | `graph`
`static Logger` | `log`

Constructor Summary
`Database(AbstractGraphDatabase db)`
`Database(GraphDatabaseFactory factory, String databaseStoreDirectory)`
`Database(GraphDatabaseFactory factory, String databaseStoreDirectory, Map<String,String> databaseTuningProperties)`

Method Summary
`IndexManager` | `getIndexManager()`
`String` | `getLocation()`
`Index<Node>` | `getNodeIndex(String name)`
`Index<Relationship>` | `getRelationshipIndex(String name)`
`org.rrd4j.core.RrdDb` | `rrdDb()`
`void` | `setRrdDb(org.rrd4j.core.RrdDb rrdDb)`
`void` | `shutdown()`
`void` | `startup()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static Logger log

### graph

    public AbstractGraphDatabase graph

Constructor Detail

### Database

    public Database(AbstractGraphDatabase db)

### Database

    public Database(GraphDatabaseFactory factory,
                    String databaseStoreDirectory)

### Database

    public Database(GraphDatabaseFactory factory,
                    String databaseStoreDirectory,
                    Map<String,String> databaseTuningProperties)

Method Detail

### startup

    public void startup()

### shutdown

    public void shutdown()

### getLocation

    public String getLocation()

### getRelationshipIndex

    public Index<Relationship> getRelationshipIndex(String name)

### getNodeIndex

    public Index<Node> getNodeIndex(String name)

### rrdDb

    public org.rrd4j.core.RrdDb rrdDb()

### setRrdDb

    public void setRrdDb(org.rrd4j.core.RrdDb rrdDb)

### getIndexManager

    public IndexManager getIndexManager()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.